%
% kontrolaSimulacija.m
%
% Hvatanje event-a sa OPC servera zbogradi pokretanja simulacionog
% modela i kvaziRealTime aproksimacija simulacije u MatLab-u...
%
% by Samir & Lejla & Lejla & Adis (Grupa 7), 27.5.2005.
%

clc
display('Kontrola simulacije je aktivirana!');

if (ModelAktivan.Value == 1)

   sim('model',trajanjeSimulacije);

    [PeriodOscilovanja, Sigma] = period (tout, Izlaz);

    write(TrenutniPeriod, PeriodOscilovanja);
    write(TrenutniFaktorPrigusenja, Sigma);

    for i=1:50:(100*trajanjeSimulacije+1)
      pause(1);
      write(PrenosnaFunkcija, Izlaz (i));
      if (ModelAktivan.value == 0)
        break;
      end;
    end;

   write(ModelAktivan, 0);
end;

display('Simulacija zavrsena!');
